/**
 * GUI Commands
 * Copyright 2004 Andrew Pietsch
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: LoadException.java,v 1.3 2004/12/12 05:29:24 pietschy Exp $
 */

package org.pietschy.command;

/**
 * Thrown when the {@link CommandManager} is unable to load a configuration file.  This exception
 * wraps the real exception that occurred.
 * @see CommandManager#load
 */
public class
LoadException
extends Exception
{
   static final String _ID_ = "$Id: LoadException.java,v 1.3 2004/12/12 05:29:24 pietschy Exp $";


   public LoadException()
   {
   }

   public LoadException(String message)
   {
      super(message);
   }

   /**
    * Constructs a new exception with the specified detail message and
    * cause.  <p>Note that the detail message associated with
    * <code>cause</code> is <i>not</i> automatically incorporated in
    * this exception's detail message.
    *
    * @param  message the detail message (which is saved for later retrieval
    *         by the {@link #getMessage()} method).
    * @param  cause the cause (which is saved for later retrieval by the
    *         {@link #getCause()} method).  (A <tt>null</tt> value is
    *         permitted, and indicates that the cause is nonexistent or
    *         unknown.)
    * @since  1.4
    */
   public LoadException(String message, Throwable cause)
   {
      super(message, cause);
   }


}
